Update a flow.
curl --request PATCH \
--url https://api.zavu.dev/v1/senders/{senderId}/agent/flows/{flowId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"trigger": {
"type": "keyword",
"keywords": [
"<string>"
],
"intent": "<string>"
},
"steps": [
{
"id": "<string>",
"type": "message",
"config": {},
"nextStepId": "<string>"
}
],
"enabled": true,
"priority": 123
}
'{
"flow": {
"id": "<string>",
"agentId": "<string>",
"name": "<string>",
"trigger": {
"type": "keyword",
"keywords": [
"<string>"
],
"intent": "<string>"
},
"steps": [
{
"id": "<string>",
"type": "message",
"config": {},
"nextStepId": "<string>"
}
],
"enabled": true,
"priority": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Flow updated.
Show child attributes
curl --request PATCH \
--url https://api.zavu.dev/v1/senders/{senderId}/agent/flows/{flowId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"trigger": {
"type": "keyword",
"keywords": [
"<string>"
],
"intent": "<string>"
},
"steps": [
{
"id": "<string>",
"type": "message",
"config": {},
"nextStepId": "<string>"
}
],
"enabled": true,
"priority": 123
}
'{
"flow": {
"id": "<string>",
"agentId": "<string>",
"name": "<string>",
"trigger": {
"type": "keyword",
"keywords": [
"<string>"
],
"intent": "<string>"
},
"steps": [
{
"id": "<string>",
"type": "message",
"config": {},
"nextStepId": "<string>"
}
],
"enabled": true,
"priority": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>"
}
}